[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.Get

Retrieve the value of a particular bit

## Declaration

Source position: classesh.inc line 410

`public function TBits.Get(`
`Bit: LongInt`
`):Boolean;`

## Description

Get returns True if the bit at position bit is set, or False if it is not set.

## Errors

If bit is not a valid bit index then an EBitsError exception is raised.

## See also

Bits |  | Access to all bits in the array.
FindFirstBit |  | Find first bit with a particular value
seton |  | Turn a particular bit on.

Documentation generated on: Feb 26 2014